CMSIS-DSP: arm_lms_instance_q31 Struct Reference

| CMSIS-DSP Version 1.8.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
arm_lms_instance_q31 Struct Reference

Instance structure for the Q31 LMS filter.

## Data Fields

uint16_t | numTaps
q31_t * | pState
q31_t * | pCoeffs
q31_t | mu
uint32_t | postShift

## Field Documentation

q31_t arm_lms_instance_q31::mu

step size that controls filter coefficient updates.

uint16_t arm_lms_instance_q31::numTaps

number of coefficients in the filter.

q31_t* arm_lms_instance_q31::pCoeffs

points to the coefficient array. The array is of length numTaps.

uint32_t arm_lms_instance_q31::postShift

bit shift applied to coefficients.

q31_t* arm_lms_instance_q31::pState

points to the state variable array. The array is of length numTaps+blockSize-1.